package eu.mhsl.craftattack.spawn;

import eu.mhsl.craftattack.spawn.command.WorldMuseumVillagerCommand;
import eu.mhsl.craftattack.spawn.listener.PlayerEntityInteractListener;
import eu.mhsl.craftattack.spawn.util.VillagerSpawner;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.Objects;

public final class Main extends JavaPlugin {
    private static Main instance;

    @Override
    public void onEnable() {
//        init
        saveDefaultConfig();
        VillagerSpawner.spawnVillager();
        instance = this;

//        register Messaging-Channels
        this.getServer().getMessenger().registerOutgoingPluginChannel(this, "BungeeCord");

//        register Commands
        Objects.requireNonNull(this.getCommand("worldMuseum-villager")).setExecutor(new WorldMuseumVillagerCommand());

//        register listeners
        Bukkit.getPluginManager().registerEvents(new PlayerEntityInteractListener(), this);



    }
    @Override
    public void onDisable() {
        VillagerSpawner.killVillager();
    }

    public static Main getInstance() {
        return instance;
    }
}
